Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1881071 - [External] Upgrade mechanism from OCS 4.5 to OCS 4.6 needs to be fixed
Summary: [External] Upgrade mechanism from OCS 4.5 to OCS 4.6 needs to be fixed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: ocs-operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: OCS 4.6.0
Assignee: Anmol Sachan
QA Contact: Rachael
URL:
Whiteboard:
Depends On: 1879919
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-21 13:47 UTC by Anmol Sachan
Modified: 2020-12-17 06:24 UTC (History)
11 users (show)

Fixed In Version: 4.6.0-110.ci
Doc Type: No Doc Update
Doc Text:
Clone Of: 1879919
Environment:
Last Closed: 2020-12-17 06:24:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ocs-operator pull 778 0 None closed Bug 1881071:Made monitoring optional during external cluster initilization 2020-11-10 12:48:41 UTC
Red Hat Product Errata RHSA-2020:5605 0 None None None 2020-12-17 06:24:35 UTC

Comment 8 Mudit Agarwal 2020-10-09 12:31:07 UTC
I think there is some issue while testing the BZ, the fix for related rook BZ https://bugzilla.redhat.com/show_bug.cgi?id=1879919 was picked by 4.6.0-582.ci while this BZ was tested and marked Failed_QA on  4.6.0-573.ci, so this needs to be retested.
Now, we understand that the testing would be blocked because of https://bugzilla.redhat.com/show_bug.cgi?id=1886709 but there is no fix required from ocs-operator side for this BZ and hence I am moving it back to ON_QA

Also, https://bugzilla.redhat.com/show_bug.cgi?id=1886709 is quite new and we are analyzing the same.

Comment 9 Neha Berry 2020-10-20 19:17:07 UTC
Moving the bug to Rachael as she has already tried this in Comment#7 and it is an external mode upgrade scenario

Comment 13 errata-xmlrpc 2020-12-17 06:24:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.6.0 security, bug fix, enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5605


Note You need to log in before you can comment on or make changes to this bug.